@echo off & setlocal enableextensions

cls
echo.
echo Ŀ
echo  M_TSCMD.CMD Create a TSCMD package, both in .arc and .zip formats 
echo  By Prof. Timo Salmi. Last modified Sat 23-October-2004            
echo 
echo.

:: Preliminaries
set targdir_=c:\_m
set targname_=TSCMD23

copy c:\_f\inf\tscmd.diz c:\_m\file_id.diz

for %%f in (%targdir_%\%targname_%.???) do del /p %%f

:: Make the (temporary) ARC version for documentation reasons
echo NT/w2k/XP script tricks and tips|pkpak -ac %targdir_%\%targname_% c:\_f\cmd\1cmdfaq.txt
echo Ask questions in script files   |pkpak -ac %targdir_%\%targname_% c:\_f\ftools\choose.exe
echo Display ECHOC.EXE color map     |pkpak -ac %targdir_%\%targname_% c:\_f\cmd\colormap.cmd
echo Date into a Julian date number  |pkpak -ac %targdir_%\%targname_% c:\_f\tools\date2num.exe
echo Recoverable command-line delete |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\dele.cmd
echo Echo in colors                  |pkpak -ac %targdir_%\%targname_% c:\_f\ftools\echoc.exe
echo Some alternative date formats   |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\edate.cmd
echo Find out how old a file is      |pkpak -ac %targdir_%\%targname_% c:\_f\cmd\fileage.cmd
echo CMD shell for FILEINFO.VBS      |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\fileinfo.cmd
echo FileInfo Visual Basic Script    |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\fileinfo.vbs
echo Brief characterization of TSCMD |pkpak -ac %targdir_%\%targname_% c:\_m\file_id.diz
echo A makefile to build this package|pkpak -ac %targdir_%\%targname_% c:\_f\xtools\m_tscmd.cmd
echo Covert a filename to lower case |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\namedown.cmd
echo Covert a filename to upper case |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\nameup.cmd
echo A Julian date number into a date|pkpak -ac %targdir_%\%targname_% c:\_f\tools\num2date.exe
echo CMD shell for RECENT.VBS        |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\recent.cmd
echo Search folders for recent files |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\recent.vbs
echo The questions index separately  |pkpak -ac %targdir_%\%targname_% c:\_f\inf\tscmdidx.txt
echo Document ^(a readme^) for TSCMD |pkpak -ac %targdir_%\%targname_% c:\_f\inf\tscmdinf.txt
echo News about the TSCMD package    |pkpak -ac %targdir_%\%targname_% c:\_f\inf\tscmdnws.txt
echo List of programs from Timo Salmi|pkpak -ac %targdir_%\%targname_% c:\_f\inf\tsprog.txt
echo Find a file anywhere on a drive |pkpak -ac %targdir_%\%targname_% c:\_f\xtools\whereis.cmd
echo CMD shell for XPMOVE.VBS        |pkpak -ac %targdir_%\%targname_% c:\_f\cmd\xpmove.cmd
echo Move newer files between folders|pkpak -ac %targdir_%\%targname_% c:\_f\xtools\xpmove.vbs
echo Script file collection, T.Salmi |pkpak -x %targdir_%\%targname_%
pkpak -vc %targdir_%\%targname_%
pause


:: Make the actual ZIP package
echo NT/2000/XP script tricks and tips by Prof. Timo Salmi|pkzip -aco %targdir_%\%targname_% c:\_f\cmd\1cmdfaq.txt
echo Ask questions in script files   |pkzip -aco %targdir_%\%targname_% c:\_f\ftools\choose.exe
echo Display ECHOC.EXE color map     |pkzip -aco %targdir_%\%targname_% c:\_f\cmd\colormap.cmd
echo Date into a Julian date number  |pkzip -aco %targdir_%\%targname_% c:\_f\tools\date2num.exe
echo Recoverable command-line delete |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\dele.cmd
echo Echo in colors                  |pkzip -aco %targdir_%\%targname_% c:\_f\ftools\echoc.exe
echo Some alternative date formats   |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\edate.cmd
echo Find out how old a file is      |pkzip -aco %targdir_%\%targname_% c:\_f\cmd\fileage.cmd
echo CMD shell for FILEINFO.VBS      |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\fileinfo.cmd
echo FileInfo Visual Basic Script    |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\fileinfo.vbs
echo Brief characterization of TSCMD |pkzip -aco %targdir_%\%targname_% c:\_m\file_id.diz
echo A makefile to build this package|pkzip -aco %targdir_%\%targname_% c:\_f\xtools\m_tscmd.cmd
echo Covert a filename to lower case |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\namedown.cmd
echo Covert a filename to upper case |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\nameup.cmd
echo A Julian date number into a date|pkzip -aco %targdir_%\%targname_% c:\_f\tools\num2date.exe
echo CMD shell for RECENT.VBS        |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\recent.cmd
echo Search folders for recent files |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\recent.vbs
echo The questions index separately  |pkzip -aco %targdir_%\%targname_% c:\_f\inf\tscmdidx.txt
echo Document ^(a readme^) for TSCMD |pkzip -aco %targdir_%\%targname_% c:\_f\inf\tscmdinf.txt
echo News about the TSCMD package    |pkzip -aco %targdir_%\%targname_% c:\_f\inf\tscmdnws.txt
echo List of programs and other material from Prof. Timo Salmi|pkzip -aco %targdir_%\%targname_% c:\_f\inf\tsprog.txt
echo Find a file anywhere on a drive |pkzip -aco %targdir_%\%targname_% c:\_f\xtools\whereis.cmd
echo CMD shell for XPMOVE.VBS        |pkzip -aco %targdir_%\%targname_% c:\_f\cmd\xpmove.cmd
echo Move newer files between folders|pkzip -aco %targdir_%\%targname_% c:\_f\xtools\xpmove.vbs
echo FTP archives http://garbo.uwasa.fi/ University of Vaasa, Finland|pkzip -zo %targdir_%\%targname_%
pkzip -vc %targdir_%\%targname_%
pause

:: Clean up
for %%f in (c:\_m\file_id.diz) do if exist %%f del %%f
endlocal & goto :EOF
